#include "defs.h"
#include "camera.h"
#include "fieldsat.h"

/* In milliseconds. */
#define CAMERA_BUTTON_DELAY 500
#define CAMERA_POWER_ON_DELAY 5000

void camera_init(void)
{
	/* Set the camera control pins to output. */
	CAMERA_DDR |= _BV(CAMERA_POWER) | _BV(CAMERA_SHUTTER);
}

void camera_take_picture(void)
{
	CAMERA_PORT |= _BV(CAMERA_POWER);
	msleep(CAMERA_BUTTON_DELAY);
	CAMERA_PORT &= ~_BV(CAMERA_POWER);

	msleep(CAMERA_POWER_ON_DELAY);

	CAMERA_PORT |= _BV(CAMERA_SHUTTER);
	msleep(CAMERA_BUTTON_DELAY);
	CAMERA_PORT &= ~_BV(CAMERA_SHUTTER);
}
